Optimization solvers

## Classes

class | roboptim::GenericSolver
| Abstract interface satisfied by all solvers. More...

## Enumerations

enum | roboptim::GenericSolver::solutions { roboptim::GenericSolver::SOLVER_NO_SOLUTION, roboptim::GenericSolver::SOLVER_VALUE, roboptim::GenericSolver::SOLVER_VALUE_WARNINGS, roboptim::GenericSolver::SOLVER_ERROR }
| Define the kind of solution which has been found. More...

## Detailed Description

## Enumeration Type Documentation

enum roboptim::GenericSolver::solutions

Define the kind of solution which has been found.

Enumerator
SOLVER_NO_SOLUTION | Solution has yet to be found.
SOLVER_VALUE | Solution has been found.
SOLVER_VALUE_WARNINGS | Solution has been found but some problems happened.
SOLVER_ERROR | The solver failed to found a solution.